Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class FileTransferOutputStream

    java.lang.Object
      java.io.OutputStream
          com.enterprisedt.net.ftp.FileTransferOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Direct Known Subclasses:
  FTPOutputStream

    public abstract class FileTransferOutputStream

extends java.io.OutputStream

Super class of all output streams supported

Version:
  $Revision: 1.2 $
Author:
  Bruce Blackshaw

Field Summary
`protected boolean` | `closed` Has the stream been closed?
`protected java.lang.String` | `remoteFile` Name of remote file being transferred
`protected long` | `size` Number of bytes transferred

Constructor Summary
`FileTransferOutputStream()`

Method Summary
`long` | `getBytesTransferred()` Get the number of bytes transferred
`java.lang.String` | `getRemoteFile()` Get the name of the remote file (including one that may have been generated by the server).

Methods inherited from class java.io.OutputStream
`close, flush, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### remoteFile

    protected java.lang.String remoteFile

  Name of remote file being transferred

### size

    protected long size

  Number of bytes transferred

### closed

    protected boolean closed

  Has the stream been closed?

Constructor Detail

### FileTransferOutputStream

    public FileTransferOutputStream()

Method Detail

### getRemoteFile

    public java.lang.String getRemoteFile()

  Get the name of the remote file (including one that may have been generated by the server).

  Returns:
    remote filename

### getBytesTransferred

    public long getBytesTransferred()

  Get the number of bytes transferred

  Returns:
    long

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.